--  File:     DUR_POST_VERIFY.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--
--	Insert your values in the "between" clause below
--

--
--	These selects should result in Zero rows found
--

-- Durability Stream 1
select	*
from	acid_values
where	seq_num between 11 and 192 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 338 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 570 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 765 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 977 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1125 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1366 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1555 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1754 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

--
--	These selects should result in Zero or One row(s) found
--

-- Durability Stream 1
select	*
from	acid_values
where	seq_num between 11 and 193 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 339 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 571 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 766 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 978 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1126 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1367 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1556 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1755 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )


